Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenWelcomePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenWelcomePage.java	(revision 2822)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenWelcomePage.java	(revision 2823)
@@ -49,6 +49,8 @@
 	/** The Constant ID. */
 	public final static String ID = "org.txm.rcp.commands.OpenWelcomePage"; //$NON-NLS-1$
 	
+	public static String WELCOME = "http://textometrie.ens-lyon.fr/html/welcome/";
+	
 	/*
 	 * (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
@@ -61,7 +63,7 @@
 	public static boolean openWelcomePage() {
 		
 		try { // ensure network is enable
-			URL url = new URL("http://textometrie.ens-lyon.fr/html/welcome/welcome.html");
+			URL url = new URL(WELCOME+"welcome.html");
 			url.openStream().close();
 		}
 		catch (Exception e) {
@@ -73,7 +75,7 @@
 		int idx = version.lastIndexOf("."); //$NON-NLS-1$
 		if (idx > 0) version = version.substring(0, idx); // remove the "qualifier" part
 		
-		String urlString = "http://textometrie.ens-lyon.fr/html/welcome/" + version + "/" + locale + "/welcome.html";
+		String urlString = WELCOME + version + "/" + locale + "/welcome.html";
 		try {
 			URL url = new URL(urlString);
 			try {
@@ -82,7 +84,7 @@
 			catch (IOException e) {
 				Log.finer(e.getMessage());
 				// Log.printStackTrace(e);
-				urlString = "http://textometrie.ens-lyon.fr/html/welcome/" + version + "/en/welcome.html";
+				urlString = WELCOME + version + "/en/welcome.html";
 				url = new URL(urlString);
 			}
 			return OpenBrowser.openfile(urlString) != null;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java	(revision 2822)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java	(revision 2823)
@@ -52,7 +52,7 @@
 	/** The Constant ID. */
 	public final static String ID = "org.txm.rcp.commands.OpenLocalizedWebPage"; //$NON-NLS-1$
 
-	public static final String URL_TEXTOMETRIE = "http://textometrie.ens-lyon.fr/";
+	public static final String URL_TEXTOMETRIE = "https://txm.gitpages.huma-num.fr/textometrie/";
 	public static final String URL_SFWEB = URL_TEXTOMETRIE + "html/";
 	public static final String URL_SFFILES = URL_TEXTOMETRIE + "files/";
 	
Index: tmp/org.txm.setups/shared/debian/usr/bin/TXM
===================================================================
--- tmp/org.txm.setups/shared/debian/usr/bin/TXM	(revision 2822)
+++ tmp/org.txm.setups/shared/debian/usr/bin/TXM	(revision 2823)
@@ -156,4 +156,4 @@
 #DEBUGOPTIONS="-log -clean -debug -console -noexit"
 ) 1>&3 2>&4
 
-SWT_GTK3=0 UBUNTU_MENUPROXY=0 exec "${TXMINSTALL}/TXM" "$@" -run --launcher.ini "$DOTTXMHOME/TXM.ini" $DEBUGOPTIONS -configuration "$DOTTXMHOME/configuration" -user "$DOTTXMHOME/user" -install "$TXMINSTALL"
+SWT_GTK3=0 UBUNTU_MENUPROXY=0 exec "${TXMINSTALL}/launcher" "$@" -run --launcher.ini "$DOTTXMHOME/TXM.ini" $DEBUGOPTIONS -configuration "$DOTTXMHOME/configuration" -user "$DOTTXMHOME/user" -install "$TXMINSTALL"
Index: tmp/org.txm.setups/shared/win/TXM.bat
===================================================================
--- tmp/org.txm.setups/shared/win/TXM.bat	(revision 0)
+++ tmp/org.txm.setups/shared/win/TXM.bat	(revision 2823)
@@ -0,0 +1,84 @@
+set installdir=%~dp0
+set ARGS=%*
+set DEBUG=0
+set VERSION=TXMVERSION
+set USERHOME=%USERPROFILE%\
+
+IF NOT EXIST ROAMINGINSTALL GOTO ROAMINGINSTALLDONE
+echo "The 'roaming' install option is set."
+set USERHOME=%HOMEDRIVE%%HOMEPATH%\
+echo "USERHOME set to %USERHOME%"
+
+:ROAMINGINSTALLDONE
+
+IF NOT EXIST ASKUSERDIRECTORY GOTO ASKUSERDIRECTORYDONE
+echo "The 'ask user directory' install option is set."
+for /f "tokens=*" %%a in ('jre\bin\java -jar StartDialog.jar') do set USERHOME=%%a\
+echo "USERHOME set to %USERHOME%"
+
+:ASKUSERDIRECTORYDONE
+
+IF EXIST "%USERHOME%" GOTO USERHOMEOK
+echo "%USERHOME% does not exist. Aborting"
+msg * "TXM could not start using the USERHOME='%USERHOME%' directory."
+GOTO:EOF
+
+:USERHOMEOK
+
+set TXMHOME=%USERHOME%TXM-%VERSION%\
+set DOTTXM=%USERHOME%.TXM-%VERSION%\
+
+mkdir "%TXMHOME%" 
+
+mkdir "%DOTTXM%" 
+attrib +h "%DOTTXM%" /s /d
+
+echo "TXM: getting install date from %installdir%STAMP and %DOTTXM%STAMP files" 
+Fc "%installdir%STAMP" "%DOTTXM%STAMP" 
+
+echo "TXM: Preparing redirections in %USERHOME%/TXMPostInstallOutputLogs.txt and %USERHOME%/TXMPostInstallErrorLogs.txt files."
+
+
+IF errorlevel 1 (goto :install) else (goto :run)
+
+:install
+
+(
+echo "New TXM install: it's the first launch after the installation." 
+del "%temp%\org.txm.rcpapplication.prefs" 
+copy "%DOTTXM%configuration\.settings\org.txm.rcpapplication.prefs" "%temp%\org.txm.rcpapplication.prefs" 
+copy "%DOTTXM%.metadata\.plugins\org.eclipse.core.runtime\.settings\org.txm.rcpapplication.prefs" "%temp%\org.txm.rcpapplication.prefs" 
+copy "%DOTTXM%data\.metadata\.plugins\org.eclipse.core.runtime\.settings\org.txm.rcpapplication.prefs" "%temp%\org.txm.rcpapplication.prefs" 
+
+rmdir /s /q "%DOTTXM%"
+IF errorlevel 1 (echo "TXM: failed to delete the %DOTTXM% directory.")
+
+mkdir "%DOTTXM%" 
+IF errorlevel 1 (echo "TXM: failed to create %DOTTXM% directory.")
+
+copy "%installdir%TXM.ini" "%DOTTXM%TXM.ini" 
+IF errorlevel 1 (echo "TXM: failed to copy %DOTTXM%TXM.ini file")
+
+copy "%temp%\org.txm.rcpapplication.prefs" "%DOTTXM%org.txm.rcpapplication.prefs" 
+
+mkdir "%DOTTXM%user" 
+IF errorlevel 1 (echo "TXM: failed to create %DOTTXM%user directory.")
+
+mkdir "%DOTTXM%configuration" 
+IF errorlevel 1 (echo "TXM: failed to create %DOTTXM%user directory.")
+
+rmdir /s /q "%TXMHOME%\.metadata"
+IF errorlevel 1 (echo "TXM: failed to delete the %TXMHOME%.metadata directory.")
+
+copy "%installdir%STAMP" "%DOTTXM%STAMP" 
+IF errorlevel 1 (echo "TXM: failed to copy %DOTTXM%STAMP file")
+) >"%USERHOME%\TXMPostInstallOutputLogs.txt" 2>"%USERHOME%\TXMPostInstallErrorLogs.txt"
+
+:run
+(
+set _JAVA_OPTIONS=-Duser.home="%USERHOME%"
+echo running "%installdir%launcher.exe" -run --launcher.ini "%DOTTXM%TXM.ini" %ARGS% -data "%DOTTXM%data" -user "%DOTTXM%user" -install "%installdir%"
+REM "%installdir%launcher.exe" -run --launcher.ini "%DOTTXM%TXM.ini" %ARGS% -user "%DOTTXM%user" -install "%installdir%"
+) >"%USERHOME%\TXMPostInstallOutputLogs.txt" 2>"%USERHOME%\TXMPostInstallErrorLogs.txt"
+
+"%installdir%launcher.exe" -run --launcher.ini "%DOTTXM%TXM.ini" %ARGS% -configuration "%DOTTXM%configuration" -user "%DOTTXM%user" -install "%installdir%\"
Index: tmp/org.txm.setups/shared/win/txm.nsi
===================================================================
--- tmp/org.txm.setups/shared/win/txm.nsi	(revision 2822)
+++ tmp/org.txm.setups/shared/win/txm.nsi	(revision 2823)
@@ -255,7 +255,7 @@
 File pcre3.dll
 File StartDialog.jar
 File TXM.bat
-File TXM.exe
+File launcher.exe
 File TXM.ico
 File TXM.ini
 File "TXM debug.bat"
Index: tmp/org.txm.setups/shared/win/TXM debug.bat
===================================================================
--- tmp/org.txm.setups/shared/win/TXM debug.bat	(revision 0)
+++ tmp/org.txm.setups/shared/win/TXM debug.bat	(revision 2823)
@@ -0,0 +1 @@
+"%~dp0/TXM.bat" -log -consolelog -clean -debug -console -noexit
\ No newline at end of file
Index: tmp/org.txm.rcp.feature/win/TXM debug.bat
===================================================================
--- tmp/org.txm.rcp.feature/win/TXM debug.bat	(revision 2822)
+++ tmp/org.txm.rcp.feature/win/TXM debug.bat	(revision 2823)
@@ -1 +0,0 @@
-"%~dp0/TXM.bat" -log -consolelog -clean -debug -console -noexit
\ No newline at end of file
Index: tmp/org.txm.rcp.feature/win/TXM.bat
===================================================================
--- tmp/org.txm.rcp.feature/win/TXM.bat	(revision 2822)
+++ tmp/org.txm.rcp.feature/win/TXM.bat	(revision 2823)
@@ -1,84 +0,0 @@
-set installdir=%~dp0
-set ARGS=%*
-set DEBUG=0
-set VERSION=TXMVERSION
-set USERHOME=%USERPROFILE%\
-
-IF NOT EXIST ROAMINGINSTALL GOTO ROAMINGINSTALLDONE
-echo "The 'roaming' install option is set."
-set USERHOME=%HOMEDRIVE%%HOMEPATH%\
-echo "USERHOME set to %USERHOME%"
-
-:ROAMINGINSTALLDONE
-
-IF NOT EXIST ASKUSERDIRECTORY GOTO ASKUSERDIRECTORYDONE
-echo "The 'ask user directory' install option is set."
-for /f "tokens=*" %%a in ('jre\bin\java -jar StartDialog.jar') do set USERHOME=%%a\
-echo "USERHOME set to %USERHOME%"
-
-:ASKUSERDIRECTORYDONE
-
-IF EXIST "%USERHOME%" GOTO USERHOMEOK
-echo "%USERHOME% does not exist. Aborting"
-msg * "TXM could not start using the USERHOME='%USERHOME%' directory."
-GOTO:EOF
-
-:USERHOMEOK
-
-set TXMHOME=%USERHOME%TXM-%VERSION%\
-set DOTTXM=%USERHOME%.TXM-%VERSION%\
-
-mkdir "%TXMHOME%" 
-
-mkdir "%DOTTXM%" 
-attrib +h "%DOTTXM%" /s /d
-
-echo "TXM: getting install date from %installdir%STAMP and %DOTTXM%STAMP files" 
-Fc "%installdir%STAMP" "%DOTTXM%STAMP" 
-
-echo "TXM: Preparing redirections in %USERHOME%/TXMPostInstallOutputLogs.txt and %USERHOME%/TXMPostInstallErrorLogs.txt files."
-
-
-IF errorlevel 1 (goto :install) else (goto :run)
-
-:install
-
-(
-echo "New TXM install: it's the first launch after the installation." 
-del "%temp%\org.txm.rcpapplication.prefs" 
-copy "%DOTTXM%configuration\.settings\org.txm.rcpapplication.prefs" "%temp%\org.txm.rcpapplication.prefs" 
-copy "%DOTTXM%.metadata\.plugins\org.eclipse.core.runtime\.settings\org.txm.rcpapplication.prefs" "%temp%\org.txm.rcpapplication.prefs" 
-copy "%DOTTXM%data\.metadata\.plugins\org.eclipse.core.runtime\.settings\org.txm.rcpapplication.prefs" "%temp%\org.txm.rcpapplication.prefs" 
-
-rmdir /s /q "%DOTTXM%"
-IF errorlevel 1 (echo "TXM: failed to delete the %DOTTXM% directory.")
-
-mkdir "%DOTTXM%" 
-IF errorlevel 1 (echo "TXM: failed to create %DOTTXM% directory.")
-
-copy "%installdir%TXM.ini" "%DOTTXM%TXM.ini" 
-IF errorlevel 1 (echo "TXM: failed to copy %DOTTXM%TXM.ini file")
-
-copy "%temp%\org.txm.rcpapplication.prefs" "%DOTTXM%org.txm.rcpapplication.prefs" 
-
-mkdir "%DOTTXM%user" 
-IF errorlevel 1 (echo "TXM: failed to create %DOTTXM%user directory.")
-
-mkdir "%DOTTXM%configuration" 
-IF errorlevel 1 (echo "TXM: failed to create %DOTTXM%user directory.")
-
-rmdir /s /q "%TXMHOME%\.metadata"
-IF errorlevel 1 (echo "TXM: failed to delete the %TXMHOME%.metadata directory.")
-
-copy "%installdir%STAMP" "%DOTTXM%STAMP" 
-IF errorlevel 1 (echo "TXM: failed to copy %DOTTXM%STAMP file")
-) >"%USERHOME%\TXMPostInstallOutputLogs.txt" 2>"%USERHOME%\TXMPostInstallErrorLogs.txt"
-
-:run
-(
-set _JAVA_OPTIONS=-Duser.home="%USERHOME%"
-echo running "%installdir%TXM.exe" -run --launcher.ini "%DOTTXM%TXM.ini" %ARGS% -data "%DOTTXM%data" -user "%DOTTXM%user" -install "%installdir%"
-REM "%installdir%TXM.exe" -run --launcher.ini "%DOTTXM%TXM.ini" %ARGS% -user "%DOTTXM%user" -install "%installdir%"
-) >"%USERHOME%\TXMPostInstallOutputLogs.txt" 2>"%USERHOME%\TXMPostInstallErrorLogs.txt"
-
-"%installdir%TXM.exe" -run --launcher.ini "%DOTTXM%TXM.ini" %ARGS% -configuration "%DOTTXM%configuration" -user "%DOTTXM%user" -install "%installdir%\"
